> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Batch update WorkflowTaskGroup

PATCH https://{tenant_name}.benchling.com/api/v3/workflow-task-group:batch-update
Content-Type: application/json

Batch update WorkflowTaskGroup synchronously in one transaction. Maximum 25 items per request.

Reference: https://docs.benchling.com/docs/api/benchling-api/workflow-task-group/batchupdate

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `items` (list of UpdateWorkflowTaskGroupInputWithPathParams, required)

## Response

### 200

OK

- `items` (list of WorkflowTaskGroup, required)

## Errors

### 400 Workflow Task Group Batch Update Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Workflow Task Group Batch Update Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Workflow Task Group Batch Update Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 409 Workflow Task Group Batch Update Request Conflict Error

Conflict

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Workflow Task Group Batch Update Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Workflow Task Group Batch Update Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### UpdateWorkflowTaskGroupInputWithPathParams

- `id` (string, required)
- `archiveReason` (string, optional)
- `archived` (boolean, optional)
- `name` (string, optional) — The name of the workflow task group.

### WorkflowTaskGroup

A container that groups related `WorkflowTask` instances together, representing a cohesive unit of work. Task groups are created from a `WorkflowTaskSchema` (via `workflowTaskSchema`). They are stored in `Folder`s and can have `authors` and `watchers` for collaboration. In flowchart workflows, task groups can be nested: `childWorkflowTaskGroups` contains sub-groups for flowchart nodes, and `rootWorkflowTaskGroup` points to the parent when this group is part of a larger flowchart. When created from a `RequestV2Submission`, the `requestSubmission` field links back to the originating request. Task groups aggregate the outputs from all their tasks via `workflowOutputs`.

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `authors` (string, optional, nullable)
- `childWorkflowTaskGroups` (string, optional, nullable) — The list of workflow task groups for which this task group is the root in a flowchart
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional, nullable)
- `displayId` (string, optional, nullable) — User-friendly ID of the workflow task group
- `folder` (FolderRef, optional)
- `id` (string, optional) — The ID of the workflow task group
- `modifiedAt` (string, optional)
- `name` (string, optional, nullable) — The name of the workflow task group
- `requestSubmission` (RequestV2SubmissionRef, optional, nullable) — A request that this task group was created to fulfill.
- `rootWorkflowTaskGroup` (WorkflowTaskGroupRef, optional, nullable) — The workflow task group which corresponds to the root node in a flowchart. This is only non-null for task groups that are part of a flowchart
- `workflowOutputs` (string, optional, nullable) — The outputs of the workflow task group
- `workflowTaskSchema` (WorkflowTaskSchemaRef, optional)
- `workflowTasks` (string, optional, nullable) — The tasks in the workflow task group

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### FolderRef

- `__typename` (string, optional)
- `id` (string, optional)

### RequestV2SubmissionRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowTaskGroupRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowTaskSchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

## Examples

**Request**

```json
{
  "items": [
    {
      "id": "id"
    }
  ]
}
```

**Response**

```json
{
  "items": [
    {
      "__typename": "__typename",
      "archiveReason": "archiveReason",
      "archived": true,
      "authors": "authors",
      "childWorkflowTaskGroups": "childWorkflowTaskGroups",
      "createdAt": "createdAt",
      "displayId": "displayId",
      "id": "id",
      "modifiedAt": "modifiedAt",
      "name": "name",
      "workflowOutputs": "workflowOutputs",
      "workflowTasks": "workflowTasks"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/workflow-task-group:batch-update"

payload = { "items": [{ "id": "id" }] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/workflow-task-group:batch-update';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"items":[{"id":"id"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```